//Utopia shader

textures/utopia/fog
{
	qer_editorimage textures/sfx/fog_grey1.tga
	qer_trans 0.75
	fogparms ( 0.6 0.6 0.6 ) 5000
	surfaceparm fog
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}


//====================================
//Lights
//====================================

textures/utopia/lights/light_m25r_white
{
	qer_editorimage textures/utopia/lights/light_m25r_white.tga
	q3map_lightimage textures/utopia/lights/light_m25r_white.tga
	q3map_surfacelight 8000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/utopia/lights/light_m25r_white.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/utopia/lights/light_m25r_white.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/lights/light_tp_m06_lowlight
{
	qer_editorimage textures/lights/light_tp_m06.tga
	q3map_surfacelight 250
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m06.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m2.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/utopia/light_xlight_03_750
{
	qer_editorimage textures/lights/light_xlight_03.tga
	q3map_lightmapFilterRadius 8 8
	q3map_surfacelight 750
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_xlight_03.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_xlight_03.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/utopia/light_xlight_03_2500
{
	qer_editorimage textures/lights/light_xlight_03.tga
	q3map_lightmapFilterRadius 8 8
	q3map_surfacelight 2500
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_xlight_03.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_xlight_03.tga
		blendFunc GL_ONE GL_ONE
	}
}

//====================================
//Water
//====================================

textures/utopia/water/u_water
{
	nocompress
	qer_editorimage textures/utopia/water/u_water.jpg
	qer_trans 0.75
	q3map_globaltexture

	surfaceparm water
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter

	tessSize 256
	cull disable
	deformVertexes wave 100 sin 0 2 .5 .25
	{ 
		map textures/utopia/water/u_water.jpg
		rgbGen identity
		blendFunc blend
		alphaGen const 0.75
		depthWrite
		//tcmod scale .5 .5
		tcmod turb 0 0.01 0 0.15
		tcmod scroll .01 .01
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
		depthFunc equal	
	}
}


//====================================
//Metals
//====================================

textures/utopia/metals/metal_m03_blue
{
	surfaceparm metalsteps
	ImplicitMap textures/utopia/metals/metal_m03_blue.tga
}


//====================================
//Decals
//====================================

textures/utopia/easy
{
	qer_editorimage textures/utopia/easy.tga
	q3map_shadeAngle 120
	q3map_nonPlanar
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	{
		map textures/utopia/easy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/utopia/hard
{
	qer_editorimage textures/utopia/hard.tga
	q3map_shadeAngle 120
	q3map_nonPlanar
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	{
		map textures/utopia/hard.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/utopia/insane
{
	qer_editorimage textures/utopia/insane.tga
	q3map_shadeAngle 120
	q3map_nonPlanar
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	{
		map textures/utopia/insane.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/utopia/1
{
	qer_editorimage textures/utopia/1.tga
	q3map_shadeAngle 120
	q3map_nonPlanar
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	{
		map textures/utopia/1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/utopia/2
{
	qer_editorimage textures/utopia/2.tga
	q3map_shadeAngle 120
	q3map_nonPlanar
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	{
		map textures/utopia/2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/utopia/3
{
	qer_editorimage textures/utopia/3.tga
	q3map_shadeAngle 120
	q3map_nonPlanar
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	{
		map textures/utopia/3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/utopia/4
{
	qer_editorimage textures/utopia/4.tga
	q3map_shadeAngle 120
	q3map_nonPlanar
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	{
		map textures/utopia/4.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/utopia/5
{
	qer_editorimage textures/utopia/5.tga
	q3map_shadeAngle 120
	q3map_nonPlanar
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	{
		map textures/utopia/5.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}


//====================================
//Teleport from UseMeJump
//====================================

textures/utopia/teleport
{
	cull none
	sort additive
	qer_editorimage textures/utopia/mollukka.tga
	qer_trans.5
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	deformVertexes autosprite
	{
		clampmap textures/utopia/mollukka2.tga
		//alphaFunc GE128
		blendfunc add
		tcMod rotate 75
		tcMod stretch sin 1.1 0.15 0 0.25
	}
	{
		clampmap textures/utopia/mollukka.tga
		//alphaFunc GE128
		blendfunc add
		tcMod rotate -65
		tcMod stretch sin 1 0.2 0.25 0.4
	}
	{
		clampmap textures/utopia/mollukka2.tga
		//alphaFunc GE128
		blendfunc add
		tcMod rotate 70
		tcMod stretch sin 1.1 0.15 .55 0.25
	}
	{
		clampmap textures/utopia/mollukka.tga
		//alphaFunc GE128
		blendfunc add
		tcMod rotate -80
		tcMod stretch sin 1 0.2 0.4 0.35
	}
}


//====================================
//Waypoint stuff for originals
//====================================

textures/utopia/clip_visible
{
	qer_trans 0.5
	qer_editorimage textures/utopia/clip.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/sfx/construction.tga
		blendfunc filter
		tcMod turb 0.8 0.25 0 0.025
	}
	{
		map textures/skies_sd/battery_clouds.tga
		blendfunc add
		rgbGen const ( 0.0 0.4 0.0 )
		tcMod turb 0.8 0.1 0 0.025
	}
	{
		map textures/utopia/base.jpg
   		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
    	rgbGen identity
    	tcGen environment
	}
}

textures/utopia/clip_light
{
	qer_trans 0.5
	qer_editorimage textures/utopia/clip_light.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_bounceScale 0.25
	{
		map textures/sfx/construction.tga
		blendfunc filter
		tcMod turb 0.8 0.25 0 0.025
	}
	{
		map textures/skies_sd/battery_clouds.tga
		blendfunc add
		rgbGen const ( 0.0 0.05 0.0 )
		tcMod turb 0.8 0.1 0 0.025
	}
	{
		map textures/utopia/base.jpg
   		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
    	rgbGen identity
    	tcGen environment
	}
}

textures/utopia/tris_marker
{
	qer_trans 0.5
	qer_editorimage textures/utopia/tris_marker.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	sort 6
	{
		map textures/sfx/construction.tga
		blendfunc filter
		tcMod turb 0.8 0.25 0 0.025
	}
	{
		map textures/skies_sd/battery_clouds.tga
		blendfunc add
		rgbGen const ( 0.0 0.4 0.0 )
		tcMod turb 0.8 0.1 0 0.025
	}
	{
		map textures/utopia/base.jpg
   		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
    	rgbGen identity
    	tcGen environment
	}
}


//====================================
//Water on originals
//====================================

textures/utopia/water_originals
{
	qer_editorimage textures/utopia/pool3d_3e.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin 0.25 0.25 0 0.5 
	qer_trans 0.5
	q3map_globaltexture
	q3map_bounceScale 0.25
	{
		map textures/utopia/pool3d_5e.tga
		blendfunc gl_dst_color gl_one
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
	}
	{
		map textures/utopia/pool3d_3e.tga
		blendfunc gl_dst_color gl_one
		tcMod scale -0.5 -0.5
		tcMod scroll 0.025 0.025
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}

textures/utopia/empty
{
	ImplicitMap textures/utopia/empty.tga
}


//===============================================
// Originals
//===============================================

//====================================
//Alpha brushes for original maps
//====================================

textures/utopia/alpha_000										//Only primary texture
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.35
}

textures/utopia/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.35
}

textures/utopia/alpha_050
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.35
}

textures/utopia/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.35
}

textures/utopia/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.35
}

textures/utopia/alpha_100										//Only secondary texture
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.35
}


//====================================
//Adlernest
//====================================

textures/dersaidin/ds-wood2
{
	surfaceparm woodsteps
	implicitMap -
}

textures/props/box_m04a
{
	surfaceparm woodsteps
	implicitMap -
}

textures/props/box_m04a_sd
{
	surfaceparm woodsteps
	implicitMap -
}

textures/dersaidin/ametal_m03_nonsolid
{
	surfaceparm metalsteps
	surfaceparm nonsolid
	implicitMap textures/metal_misc/ametal_m03.jpg
	qer_editorimage textures/metal_misc/ametal_m03.jpg
}

textures/dersaidin/sub1_noLM
{
	surfaceparm metalsteps
	implicitMap textures/props/sub1.jpg
	qer_editorimage textures/props/sub1.jpg
	
	surfaceparm nolightmap
	q3map_vertexScale 1
}

textures/dersaidin/diamond_m03_noLM
{
	surfaceparm metalsteps
	implicitMap textures/metal_misc/diamond_m03.jpg
	qer_editorimage textures/metal_misc/diamond_m03.jpg
	
	surfaceparm nolightmap
	q3map_vertexScale 1
}

textures/dersaidin/afloor_m02_noLM
{
	surfaceparm metalsteps
	implicitMap textures/egypt_floor_sd/afloor_m02.jpg
	qer_editorimage textures/egypt_floor_sd/afloor_m02.jpg
	
	surfaceparm nolightmap
	q3map_vertexScale 2
}

textures/dersaidin/mdoor_huge
{
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm metalsteps
	implicitMap -
}

textures/dersaidin/rock_grayNEW
{
	implicitMap textures/temperate_sd/rock_grayvar.tga
	qer_editorimage textures/temperate_sd/rock_grayvar.tga
}

textures/dersaidin/banner_small
{
	surfaceparm nomarks // added
	qer_editorimage textures/dersaidin/banner_small.tga
	q3map_bounceScale 0.5

	surfaceparm alphashadow
	deformVertexes wave 10 sin 0 2 0 .2
	cull twosided
	{
		map textures/dersaidin/banner_small.tga
		alphafunc ge128		
		rgbGen vertex
	}
	{
		map $lightmap
		blendfunc gl_zero gl_one
		rgbgen identity
		depthfunc equal
	}

}

textures/dersaidin/ter_grass
{
	qer_editorimage textures/dersaidin/ter_grass_qer.tga
	surfaceparm landmine
	surfaceparm grasssteps
	
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_bounceScale 0.2
	       
	{
		map textures/dersaidin/grass_dense1_a.tga	// Primary
		rgbGen identity
	}
	{
		map textures/temperate_sd/master_grass_dirt3.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dersaidin/ter_cliffs_smo2
{
	qer_editorimage textures/dersaidin/ter_cliffs4_qer.tga
	
	q3map_nonplanar
	q3map_shadeangle 80
	q3map_tcGen ivector ( 0 256 0 ) ( 0 0 256 )
	q3map_bounceScale 0.2
	qer_trans 0.70

	{
		map textures/dersaidin/rock_smooth_a.tga
		// Primary
		rgbGen identity
	}
	{
		map textures/dersaidin/rock_grayvar_a.tga
		// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dersaidin/alpha_000
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
}

textures/dersaidin/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
}

textures/dersaidin/alpha_050
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
}

textures/dersaidin/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
}

textures/dersaidin/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
}

textures/dersaidin/alpha_100
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
}

//====================================
//Braundorf B4
//====================================

textures/braundorf/light_m25b
{
   qer_editorimage textures/braundorf/light_m25b.tga
   q3map_lightimage textures/braundorf/light_msb1.tga
   q3map_lightsubdivide 128
   q3map_surfacelight 8000
   surfaceparm nomarks
   {
      map $lightmap
      rgbGen identity
   }
   {
      map textures/braundorf/light_m25b.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
   }
   {
      map textures/braundorf/light_m25b.tga
      blendFunc GL_ONE GL_ONE
   }
}


//====================================
//Caen 2
//====================================

textures/caen2/terrain_base
{
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_lightmapsize 512 512
	q3map_lightmapMergable
	q3map_lightmapsamplesize 16
	q3map_lightmapaxis z
	q3map_shadeangle 179
	q3map_nonPlanar
}

textures/caen2/terrain_0
{
	qer_editorimage textures/temperate_sd/grass_dense1.tga
	q3map_baseshader textures/caen2/terrain_base
	surfaceparm landmine
	surfaceparm grasssteps
	
	{

		map textures/temperate_sd/grass_dense1.tga
                
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcmod scale 4 4
	}
}

textures/caen2/terrain_1
{
	q3map_baseshader textures/caen2/terrain_base
	surfaceparm landmine
	surfaceparm gravelsteps
	
	{

		map textures/desert_sd/road_dirty_gravel.tga
                
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcmod scale 4 4
	}
}

textures/caen2/terrain_2
{
	qer_editorimage textures/common/terrain.tga
	q3map_baseshader textures/caen2/terrain_base
	surfaceparm landmine
	surfaceparm gravelsteps
	
	{

		map textures/temperate_sd/dirt3.tga
                
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcmod scale 4 4
	}
}

textures/caen2/terrain_3
{
	q3map_baseshader textures/caen2/terrain_base
	
	surfaceparm gravelsteps
	
	{

		map textures/stone/mxrock1aa.tga
                
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcmod scale 4 4
	}
}

textures/caen2/terrain_0to1
{
	q3map_baseshader textures/caen2/terrain_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/grass_dense1.tga
		alphaGen vertex
                
		
	}
	{
		map textures/desert_sd/road_dirty_gravel.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                
	}
	
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcmod scale 4 4
	}
}

textures/caen2/terrain_0to2
{
	q3map_baseshader textures/caen2/terrain_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/grass_dense1.tga
		alphaGen vertex
                
		
	}
	{
		map textures/temperate_sd/dirt3.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                
	}
	
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcmod scale 4 4
	}
}

textures/caen2/terrain_0to3
{
	q3map_baseshader textures/caen2/terrain_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/grass_dense1.tga
		alphaGen vertex
                
		
	}
	{
		map textures/stone/mxrock1aa.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                
	}
	
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcmod scale 4 4
	}
}

textures/caen2/terrain_1to2
{
	q3map_baseshader textures/caen2/terrain_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/road_dirty_gravel.tga
		alphaGen vertex
                
		
	}
	{
		map textures/temperate_sd/dirt3.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                
	}
	
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcmod scale 4 4
	}
}

textures/caen2/terrain_1to3
{
	q3map_baseshader textures/caen2/terrain_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/road_dirty_gravel.tga
		alphaGen vertex
                
		
	}
	{
		map textures/stone/mxrock1aa.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                
	}
	
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcmod scale 4 4
	}
}

textures/caen2/terrain_2to3
{
	q3map_baseshader textures/caen2/terrain_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/dirt3.tga
		alphaGen vertex
               
		
	}
	{
		map textures/stone/mxrock1aa.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                
	}
	
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcmod scale 4 4
	}
}


//====================================
//ET UFO
//====================================

textures/et_ufo/terrain_base
{
	qer_editorimage textures/common/terrain.tga
	q3map_normalimage textures/sd_bumpmaps/normalmap_terrain.tga

	q3map_nonplanar 
	q3map_shadeangle 90 

	q3map_lightmapsize 512 512
	q3map_lightmapMergable
	q3map_lightmapaxis z

	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_tcMod scale 2 2
	q3map_tcMod rotate 37

	surfaceparm grasssteps
}

textures/et_ufo/terrain_0
{
	qer_editorimage textures/et_ufo/et_ufo_0.tga
	q3map_baseshader textures/et_ufo/terrain_base

	{
		map textures/temperate_sd/grass_path1.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/et_ufo/terrain_1
{
	qer_editorimage textures/et_ufo/et_ufo_1.tga
	q3map_baseshader textures/et_ufo/terrain_base

	{
		map textures/temperate_sd/grass_dense1.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/et_ufo/terrain_2
{
	qer_editorimage textures/et_ufo/et_ufo_2.tga
	q3map_baseshader textures/et_ufo/terrain_base

	{
		map textures/stone/mxrock3_a.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/et_ufo/terrain_3
{
	qer_editorimage textures/et_ufo/et_ufo_3.tga
	q3map_baseshader textures/et_ufo/terrain_base

	{
		map textures/temperate_sd/dirt3.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/et_ufo/terrain_0to1
{
	qer_editorimage textures/et_ufo/et_ufo_0to1.tga
	q3map_baseshader textures/et_ufo/terrain_base
	
	{
		map textures/temperate_sd/grass_path1.tga
		rgbgen identity
	}
	{
		map textures/temperate_sd/grass_dense1.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/et_ufo/terrain_0to2
{
	qer_editorimage textures/et_ufo/et_ufo_0to2.tga
	q3map_baseshader textures/et_ufo/terrain_base
	
	{
		map textures/temperate_sd/grass_path1.tga
		rgbgen identity
	}
	{
		map textures/stone/mxrock3_a.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/et_ufo/terrain_0to3
{
	qer_editorimage textures/et_ufo/et_ufo_0to3.tga
	q3map_baseshader textures/et_ufo/terrain_base
	
	{
		map textures/temperate_sd/grass_path1.tga
		rgbgen identity
	}
	{
		map textures/temperate_sd/dirt3.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/et_ufo/terrain_1to2
{
	qer_editorimage textures/et_ufo/et_ufo_1to2.tga
	q3map_baseshader textures/et_ufo/terrain_base
	
	{
		map textures/temperate_sd/grass_dense1.tga
		rgbgen identity
	}
	{
		map textures/stone/mxrock3_a.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/et_ufo/terrain_1to3
{
	qer_editorimage textures/et_ufo/et_ufo_1to3.tga
	q3map_baseshader textures/et_ufo/terrain_base
	
	{
		map textures/temperate_sd/grass_dense1.tga
		rgbgen identity
	}
	{
		map textures/temperate_sd/dirt3.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/et_ufo/terrain_2to3
{
	qer_editorimage textures/et_ufo/et_ufo_2to3.tga
	q3map_baseshader textures/et_ufo/terrain_base
	
	{
		map textures/stone/mxrock3_a.tga
		rgbgen identity
	}
	{
		map textures/temperate_sd/dirt3.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}


//====================================
//Frostbite
//====================================

textures/frostbite/xtrim_c06
{
	surfaceparm metalsteps
	implicitMap -
}

textures/frostbite/banner
{
	surfaceparm nomarks // added
	qer_editorimage textures/frostbite/banner.tga

	surfaceparm alphashadow
	deformVertexes wave 10 sin 0 2 0 .2
	cull twosided
	{
		map textures/frostbite/banner.tga
		alphafunc ge128		
		rgbGen vertex
	}
	{
		map $lightmap
		blendfunc gl_zero gl_one
		rgbgen identity
		depthfunc equal
	}

}

textures/frostbite/banner_small
{
	surfaceparm nomarks // added
	qer_editorimage textures/frostbite/banner_small.tga

	surfaceparm alphashadow
	deformVertexes wave 10 sin 0 2 0 .2
	cull twosided
	{
		map textures/frostbite/banner_small.tga
		alphafunc ge128		
		rgbGen vertex
	}
	{
		map $lightmap
		blendfunc gl_zero gl_one
		rgbgen identity
		depthfunc equal
	}

}

textures/frostbite/pipe_trim
{
	polygonOffset
	entityMergable
	{
		map textures/frostbite/pipe_trim.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/frostbite_terrain/terrain_0
{
	qer_editorImage textures/frostbite/frostbite_0.tga
	surfaceparm snowsteps
	surfaceparm nolightmap
//	q3map_novertexshadows
//	q3map_forcesunlight	
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_nonPlanar
	q3map_shadeAngle 120
	{
		map textures/frostbite/night_lightsnow.tga
		rgbGen vertex
	}
	surfaceparm landmine	
}

textures/frostbite_terrain/terrain_1
{
	qer_editorImage textures/frostbite/frostbite_1.tga
	surfaceparm snowsteps
	surfaceparm nolightmap
//	q3map_novertexshadows
//	q3map_forcesunlight	
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_nonPlanar
	q3map_shadeAngle 120
	{
		map textures/frostbite/night_darksnow.tga
		rgbGen vertex
	}
	surfaceparm landmine	
}

textures/frostbite_terrain/terrain_0to1
{
	qer_editorImage textures/frostbite/frostbite_0to1.tga
	surfaceparm snowsteps
	surfaceparm nolightmap
//	q3map_novertexshadows
//	q3map_forcesunlight	
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_nonPlanar
	q3map_shadeAngle 120
	{
		map textures/frostbite/night_lightsnow.tga
		rgbGen vertex
		alphaGen vertex
	}
	{
		map textures/frostbite/night_darksnow.tga
		rgbGen vertex
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	surfaceparm landmine	
}


//====================================
//Karsiah TE 2
//====================================

textures/karsiah/sand 
{ 
	q3map_nonplanar 
	q3map_shadeangle 100 
	surfaceparm gravelsteps 
	surfaceparm landmine 
	q3map_lightmapMergable 
	q3map_lightmapSize 512 512 
	implicitMap - 
}


//====================================
//Missile B3
//====================================

//Because I don't want to add custom textures to default folders.

textures/missile_b3/flags_m1_snow
{
	cull twosided
	deformVertexes wave 10 sin 0 2 0 .2
	surfaceparm alphashadow
	surfaceparm trans
	implicitMask -
}

//====================================
//Pirates
//====================================

textures/pirates/p_final/church_wind
{
	qer_editorimage textures/pirates/p_final/church_wind.tga
	q3map_surfacelight 500
	//surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pirates/p_final/church_wind.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pirates/p_final/church_wind.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/pirates/terrain/b_grass
{
   qer_editorimage textures/pirates/terrain/b_grass.tga  
   q3map_lightmapsampleoffset 16 
   q3map_lightmapmergable 
   q3map_shadeangle 170
   q3map_nonplanar 
   q3map_forcemeta 
   q3map_tcgen ivector ( 512 0 0 ) ( 0 512 0 )
   surfaceparm landmine 
   surfaceparm grasssteps 
   {
		map textures/pirates/terrain/b_grass.tga
   } 
   { 
       map $lightmap 
       blendFunc GL_DST_COLOR GL_ZERO
       rgbGen identity 
   } 
}

textures/pirates/terrain/sd_grass2path
{
   qer_editorimage textures/pirates/editor/sd_g2p.tga  
   q3map_lightmapsampleoffset 16 
   q3map_lightmapmergable 
   q3map_shadeangle 170
   q3map_nonplanar 
   q3map_forcemeta 
   q3map_tcgen ivector ( 512 0 0 ) ( 0 512 0 )
   surfaceparm landmine 
   surfaceparm snowsteps   
   {
      map textures/temperate_sd/sand_patchnoise.tga
      rgbGen identity 
   }
   {
         map textures/pirates/terrain/b_grass.tga 
     	 blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA             
       	 rgbGen identity 
         alphaGen vertex 
	}
	{
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	} 
}

textures/pirates/terrain/sd_path
{
   qer_editorimage textures/temperate_sd/sand_patchnoise.tga  
   q3map_lightmapsampleoffset 16 
   q3map_lightmapmergable 
   q3map_shadeangle 170
   q3map_nonplanar 
   q3map_forcemeta 
   q3map_tcgen ivector ( 512 0 0 ) ( 0 512 0 )
   surfaceparm landmine 
   surfaceparm gravelsteps 
   {
      map textures/temperate_sd/sand_patchnoise.tga
   }
   {
       map $lightmap 
       blendFunc GL_DST_COLOR GL_ZERO
       rgbGen identity 
   }
}

textures/pirates/walls/bigdoor
{
	surfaceparm woodsteps
	implicitMap -
}

textures/pirates/walls/c1_floor1
{
	implicitMap -
}

textures/pirates/walls/c1_trim
{
	implicitMap -
}

textures/pirates/walls/c1_wall
{
	implicitMap -
}

textures/pirates/walls/dock_trim
{
	implicitMap -
}

textures/pirates/walls/e_wood
{
	surfaceparm woodsteps
	implicitMap -
}

textures/pirates/walls/fort_w1
{
	implicitMap -
}

textures/pirates/walls/fort_w2
{
	implicitMap -
}

textures/pirates/walls/fort_w3
{
	implicitMap -
}

textures/pirates/walls/loamwall
{
	q3map_nonplanar
	q3map_shadeangle 90
	implicitMap -
}

textures/pirates/walls/mt_floor2
{
	implicitMap -
}

textures/pirates/walls/mt_stone_wall
{
	implicitMap -
}

textures/pirates/walls/mt_stone_wall2
{
	implicitMap -
}

textures/pirates/walls/mt_wood2
{
	surfaceparm woodsteps
	implicitMap -
}

textures/pirates/walls/p_b_port_top
{
	surfaceparm woodsteps
	implicitMap -
}

textures/pirates/walls/p_bari_top
{
	q3map_nonplanar
	q3map_shadeangle 90
	implicitMap -
}

textures/pirates/walls/p_box_1
{
	surfaceparm woodsteps
	implicitMap -
}

textures/pirates/walls/p_box_2
{
	surfaceparm woodsteps
	implicitMap -
}

textures/pirates/walls/p_box_port
{
	surfaceparm woodsteps
	implicitMap -
}

textures/pirates/walls/p_brwallbig
{
	q3map_nonplanar
	q3map_shadeangle 90
	implicitMap -
}

textures/pirates/walls/p_canvas1
{
	cull disable
	qer_editorimage textures/egypt_props_sd/siwa_canvas1.tga
	nofog
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	implicitMap textures/egypt_props_sd/siwa_canvas1.tga
}

textures/pirates/walls/p_canvas1_end
{
	qer_trans 1
	qer_editorimage textures/pirates/walls/p_canvas1_end.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm clipmissile
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/pirates/walls/p_canvas1_end.tga
}

textures/pirates/walls/p_nbox_1
{
	surfaceparm woodsteps
	implicitMap -
}

textures/pirates/walls/p_nbox_2
{
	surfaceparm woodsteps
	implicitMap -
}

textures/pirates/walls/p_nbox_3
{
	surfaceparm woodsteps
	implicitMap -
}

textures/pirates/walls/r_roof1
{
	implicitMap -
}

textures/pirates/walls/r_slate1
{
	implicitMap -
}

textures/pirates/walls/roof_in
{
	surfaceparm woodsteps
	implicitMap -
}

textures/pirates/walls/stuc_bot
{
	q3map_nonplanar
	q3map_shadeangle 90
	implicitMap -
}

textures/pirates/walls/stuc_mid
{
	q3map_nonplanar
	q3map_shadeangle 90
	implicitMap -
}

textures/pirates/walls/wall_white_end
{
	q3map_nonplanar
	q3map_shadeangle 90
	implicitMap -
}

textures/pirates/walls/wall_yellow_line
{
	implicitMap -
}

textures/pirates/walls/wall_yellow_linet2
{
	implicitMap -
}

textures/pirates/walls/yellow_clock
{
	implicitMap -
}

textures/pirates/walls/yellow_top
{
	implicitMap -
}

textures/pirates/walls/yellow_end
{
	implicitMap -
}

textures/pirates/walls/yellow_plate
{
	implicitMap -
}

textures/pirates/windows/p_shut1
{
	
	surfaceparm woodsteps
	implicitMap -
}

textures/pirates/windows/p_shut2
{
	
	surfaceparm woodsteps
	implicitMap -
}

textures/pirates/windows/p_shut3
{
	
	surfaceparm woodsteps
	implicitMap -
}

textures/pirates/windows/pdoor1_on
{
	qer_editorimage textures/pirates/windows/p_door1.tga
	q3map_surfacelight 750
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pirates/windows/p_door1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pirates/windows/p_door1_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/pirates/windows/pwin1_on
{
	qer_editorimage textures/pirates/windows/p_win1.tga
	q3map_surfacelight 500
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pirates/windows/p_win1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pirates/windows/p_win1_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/pirates/windows/pwin2_on
{
	qer_editorimage textures/pirates/windows/p_win2.tga
	q3map_surfacelight 1000
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pirates/windows/p_win2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pirates/windows/p_win2_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/pirates/windows/pwin2
{
	qer_editorimage textures/pirates/windows/p_win2.tga
	surfaceparm woodsteps
	implicitMap textures/pirates/windows/p_win2.tga
}

textures/pirates/windows/pwin3_on
{
	qer_editorimage textures/pirates/windows/p_win3.tga
	q3map_surfacelight 1000
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pirates/windows/p_win3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pirates/windows/p_win3_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/pirates/windows/pwin3
{
	qer_editorimage textures/pirates/windows/p_win3.tga
	surfaceparm woodsteps
	implicitMap textures/pirates/windows/p_win3.tga
}

textures/pirates/windows/pwinsmall_on
{
	qer_editorimage textures/pirates/windows/p_winsmall.tga
	q3map_surfacelight 500
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pirates/windows/p_winsmall.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pirates/windows/p_winsmall_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/pirates/editor/p_alpha_0
{
	qer_trans 0.75
  	q3map_alphamod volume
  	q3map_alphamod scale 0
  	surfaceparm nonsolid
  	surfaceparm nodraw
  	surfaceparm trans
}


//====================================
//SP Delivey TE
//====================================

textures/delivery3/d3grass
{
	qer_editorimage textures/temperate_sd/grass_dense1.tga

	surfaceparm grasssteps
	surfaceparm landmine

	{
		map textures/temperate_sd/grass_dense1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/delivery3/d3rockwalls
{
	qer_editorimage textures/temperate_sd/rock_grayvar.tga

	q3map_nonplanar
	q3map_shadeangle 150

	{
		map textures/temperate_sd/rock_grayvar.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}


//====================================
//Supply
//====================================

textures/ginc/grass1_mines
{
	qer_editorimage textures/temperate_sd/grass_dense1
	implicitMap textures/temperate_sd/grass_dense1
	surfaceparm landmine
}

textures/ginc/grass2_mines
{
	qer_editorimage textures/temperate_sd/master_grass_dirt3
	implicitMap textures/temperate_sd/master_grass_dirt3
	surfaceparm landmine
}

textures/models/mapobjects/rocks_sd/temprock_clip
{
	qer_editorimage models/mapobjects/rocks_sd/rock_temperate_big.jpg
	implicitMap models/mapobjects/rocks_sd/rock_temperate_big.jpg
	q3map_clipModel
}


//====================================
//TC Base
//====================================

textures/tc_base/dirt_m03icmp_brown
{
	qer_editorimage textures/temperate_sd/dirt_m03icmp_brown.jpg
	surfaceparm landmine
	implicitMap textures/temperate_sd/dirt_m03icmp_brown.jpg
}

textures/tc_base/dirt_m04cmp_brown
{
	qer_editorimage textures/temperate_sd/dirt_m04cmp_brown.jpg
	surfaceparm landmine
	implicitMap textures/temperate_sd/dirt_m04cmp_brown.jpg
}

textures/tc_base/grass_ml03cmp
{
	qer_editorimage textures/tc_base/grass_ml03cmp.jpg
	surfaceparm landmine
	implicitMap textures/tc_base/grass_ml03cmp.jpg
}

textures/tc_base/mdoor_m01
{
   surfaceparm metalsteps
   {
      map $lightmap
      rgbGen identity
   }
   {
      map textures/tc_base/mdoor_m01.jpg
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
   }
}

textures/tc_base/miltary_m01
{
   surfaceparm woodsteps
   {
      map $lightmap
      rgbGen identity
   }
   {
      map textures/tc_base/miltary_m01.jpg
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
   }
}

textures/tc_base/water_calm2
{
	qer_editorimage textures/liquids_sd/siwa_water.tga
	qer_trans .5
	q3map_globaltexture
	cull disable
	nocompress
	nofog
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	waterfogvars ( 0.11 0.13 0.15 ) 0.2
	nopicmip
	{
		map textures/liquids_sd/siwa_water.tga
		blendFunc blend
		alphaFunc GE128
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll -.02 .001
		fog on
	}
	{
		map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25
		tcmod scale 0.01 0.01
		tcmod scroll -.001 -.0002
		fog on
	}
}

textures/tc_base/wood_c01
{
   surfaceparm woodsteps
   {
      map $lightmap
      rgbGen identity
   }
   {
      map textures/town_wood/wood_c01.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
   }
}


//====================================
//Warbell
//====================================

textures/wb_b/roof_01
{
	qer_editorimage textures/wb_b/roof_wood01_d1.jpg
	surfaceparm woodsteps
	implicitMap textures/wb_b/roof_wood01_d1.jpg
}

textures/wb_b/roof_12
{
	qer_editorimage textures/town_roof/roof_c02.jpg
	implicitMap textures/town_roof/roof_c02.jpg
}

textures/wb_b/wb_door04
{
	qer_editorimage textures/doors/door_c13.jpg
	surfaceparm woodsteps
	implicitMap textures/doors/door_c13.jpg
}

textures/wb_b/wb_door15
{
	qer_editorimage textures/wb_p/wb_door_allied_w2.jpg
	surfaceparm metalsteps
	implicitMap textures/wb_p/wb_door_allied_w2.jpg
}

textures/wb_b/wb_shudder01
{
	qer_editorimage textures/town_window/shudder_c04.jpg
	surfaceparm woodsteps
	implicitMap textures/town_window/shudder_c04.jpg
}

textures/wb_b/wb_shudder03
{
	qer_editorimage textures/wb_b/window4c.jpg
	surfaceparm woodsteps
	implicitMap textures/wb_b/window4c.jpg
}

textures/wb_b/wb_window2a // after villwin_15 or so
{
	qer_editorimage textures/wb_b/windowwood1_c1a.jpg
	q3map_surfacelight 50 //150
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wb_b/windowwood1_c1a.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/wb_b/windowwood1_c1light.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/wb_b/wb_window2sfx_2off // on-and-off starting off
{
	qer_editorimage textures/wb_b/windowwood1_c1a1.jpg
	surfaceparm nomarks
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/wb_b/windowwood1_c1a1.jpg //basic pic
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/wb_b/windowwood1_c1light.jpg 
		blendfunc add
		rgbGen wave square 0.0 0.9 1 0.008 //base amplitude phase frequency
	}
}

textures/wb_b/wb_window4sfx_insmoon1a // lit by moonlight
{
	qer_editorimage textures/wb_b/window4_Lmoon1.jpg
	surfaceparm nomarks
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/wb_b/window4_1trim.jpg //basic pic
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/wb_b/window4_Lmoon1.jpg
		blendfunc add
		rgbGen wave square 0.5 0 1 0.025 //base amplitude phase frequency
	}
}

textures/wb_b/wb_window4sfx_outslit3
{
	qer_editorimage textures/wb_b/window4_Lorange4.jpg
	//q3map_surfacelight 10
	surfaceparm nomarks
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/wb_b/window4_1trim.jpg //basic pic
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/wb_b/window4_Lorange4.jpg
		blendfunc add
		rgbGen wave square 0.4 0 1 0.025 //base amplitude phase frequency
	}
}

textures/wb_ei/ei_terrain_grass
{
	qer_editorimage textures/wb_ei/ei_terrain_grass.jpg
	q3map_tcMod scale 0.5 -0.5
	q3map_nonplanar
	q3map_shadeangle 180
	surfaceparm grasssteps
	surfaceparm landmine
	implicitMap textures/temperate_sd/grass_dense1.tga
}

textures/wb_ei/ei_terrain_rock1
{
	qer_editorimage textures/wb_ei/ei_terrain_rock1.jpg
	q3map_tcMod scale 0.5 -0.5
	q3map_nonplanar
	q3map_shadeangle 120
	implicitMap textures/wb_t/wb_rock01.jpg // temperate_sd/rock_ugly_brown.tga
}

textures/wb_mat/metal01
{
	qer_editorimage textures/xlab_wall/xmetal_c03.jpg
	surfaceparm metalsteps
	implicitMap textures/xlab_wall/xmetal_c03.jpg
}

textures/wb_mat/wb_metal32
{
	qer_editorimage textures/xlab_wall/xtrim_c04.jpg
	surfaceparm metalsteps
	implicitMap textures/xlab_wall/xtrim_c04.jpg
}

textures/wb_mat/wb_metal33
{
	qer_editorimage textures/xlab_wall/xtrim_c06.jpg
	surfaceparm metalsteps
	implicitMap textures/xlab_wall/xtrim_c06.jpg
}

textures/wb_mat/wb_metal34
{
	qer_editorimage textures/battery_wall/metal_trim1.tga
	surfaceparm metalsteps
	implicitMap textures/battery_wall/metal_trim1.tga
}

textures/wb_mat/wood_01
{
	qer_editorimage textures/castle_wood/cwood_c10.jpg
	surfaceparm woodsteps
	implicitMap textures/castle_wood/cwood_c10.jpg
}

textures/wb_mat/wood_05
{
	qer_editorimage textures/egypt_floor_sd/wood_c13.jpg
	surfaceparm woodsteps
	implicitMap textures/egypt_floor_sd/wood_c13.jpg
}

textures/wb_mat/wood_06
{
	qer_editorimage textures/egypt_wood_sd/wood1b.tga
	surfaceparm woodsteps
	implicitMap textures/egypt_wood_sd/wood1b.tga
}

textures/wb_mat/wood_07
{
	qer_editorimage textures/town_wood/wood_c01.jpg
	surfaceparm woodsteps
	implicitMap textures/town_wood/wood_c01.jpg
}

textures/wb_mat/wood_08
{
	qer_editorimage textures/wb_b/wood08.jpg
	surfaceparm woodsteps
	implicitMap textures/wb_b/wood08.jpg
}

textures/wb_stone/stone_01
{
	qer_editorimage textures/broken_castle/wall_c03d.jpg
	implicitMap textures/broken_castle/wall_c03d.jpg
}

textures/wb_stone/stone_03
{
	qer_editorimage textures/castle_wall/castle_c09_2.jpg
	implicitMap textures/castle_wall/castle_c09_2.jpg
}

textures/wb_stone/stone_04
{
	qer_editorimage textures/cathedrale_wall/cathedrale_c09.jpg
	implicitMap textures/cathedrale_wall/cathedrale_c09.jpg
}

textures/wb_stone/stone_07
{
	qer_editorimage textures/miltary_wall/concrete_c02.jpg
	implicitMap textures/miltary_wall/concrete_c02.jpg
}

textures/wb_stone/stone_08
{
	qer_editorimage textures/occult/menhir_c02a.jpg
	implicitMap textures/occult/menhir_c02a.jpg
}

textures/wb_stone/stone_09
{
	qer_editorimage textures/sleepy/wall_c01.jpg
	implicitMap textures/sleepy/wall_c01.jpg
}

textures/wb_stone/stone_21
{
	qer_editorimage textures/town_wall/church_c01dm.jpg
	implicitMap textures/town_wall/church_c01dm.jpg
}

textures/wb_stone/stone_22
{
	qer_editorimage textures/town_wall/town_c38a.jpg
	implicitMap textures/town_wall/town_c38a.jpg
}

textures/wb_stone/stone_24
{
	qer_editorimage textures/town_wall/town_m_c01.jpg
	implicitMap textures/town_wall/town_m_c01.jpg
}

textures/wb_stone/stone_33
{
	qer_editorimage textures/wb_stone/tr2r_trim10c.jpg
	implicitMap textures/wb_stone/tr2r_trim10c.jpg
}

textures/wb_stone/stone_34
{
	qer_editorimage textures/wb_stone/tr2r_wall02_01.jpg
	implicitMap textures/wb_stone/tr2r_wall02_01.jpg
}

textures/wb_stone/stone_35
{
	qer_editorimage textures/wb_stone/tr2r_wall05sm.jpg //tr2r_wall05sma.jpg
	implicitMap textures/wb_stone/tr2r_wall05sm.jpg
}

textures/wb_stone/stone_41
{
	qer_editorimage textures/castle_wall/castle_m03_step_grave_03.jpg
	implicitMap textures/castle_wall/castle_m03_step_grave_03.jpg
}

textures/wb_stone/stone_42
{
	qer_editorimage textures/castle_wall/castle_m03a_step.jpg
	implicitMap textures/castle_wall/castle_m03a_step.jpg
}

textures/wb_stone/stone_43
{
	qer_editorimage textures/town_floor/floor_d01.jpg
	implicitMap textures/town_floor/floor_d01.jpg
}

textures/wb_stone/stone_51
{
	qer_editorimage textures/wb_stone/wall23_ns1_00.jpg
	implicitMap textures/wb_stone/wall23_ns1_00.jpg
}

textures/wb_stone/stone_52a
{
	qer_editorimage textures/wb_stone/wall24_Ba50a.jpg
	implicitMap textures/wb_stone/wall24_Ba50a.jpg
}

textures/wb_stone/stone_53
{
	qer_editorimage textures/wb_stone/wall23_b.jpg
	q3map_nonplanar
	q3map_shadeangle 120
	implicitMap textures/wb_stone/wall23_b.jpg
}

textures/wb_stone/stone_53b
{
	qer_editorimage textures/wb_stone/wall23_n40.jpg
	q3map_nonplanar
	q3map_shadeangle 120
	implicitMap textures/wb_stone/wall23_n40.jpg
}

textures/wb_stone/stone_61
{
	qer_editorimage textures/broken_castle/wall_c05.jpg
	implicitMap textures/broken_castle/wall_c05.jpg
}

textures/wb_stone/stone_62
{
	qer_editorimage textures/cathedrale_wall/cathedrale_c13.jpg
	implicitMap textures/cathedrale_wall/cathedrale_c13.jpg
}

textures/wb_stone/wb_rubble01
{
	qer_editorimage textures/rubble/debri_m05.jpg
	q3map_nonplanar
	q3map_shadeangle 180
	surfaceparm gravelsteps
	implicitMap textures/rubble/debri_m05.jpg
}

textures/wb_stone/wb_rubble02
{
	qer_editorimage textures/rubble/debri_m01.jpg
	surfaceparm gravelsteps
	implicitMap textures/rubble/debri_m01.jpg
}

textures/wb_t/complex
{
	qer_editorimage textures/wb_t/complex.jpg
	q3map_nonplanar
	qer_trans 0.7

	q3map_globaltexture //new
	q3map_tcMod scale 0.5 0.5

	surfaceparm water
	surfaceparm trans // added...
	surfaceparm nomarks

	cull disable // "back" is no good idea
	deformVertexes wave 160 sin 0 10 0 .3	// the chop, removed for causing split with slope water
	// implicitMap textures/wb_t/wb_water_02_d03.tga


	{ 
		map textures/wb_t/complex.jpg
		rgbgen identity
		tcmod scroll 0 -.05		// paused
	}

	{ 
		map textures/wb_t/complex.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA		// added
		rgbgen wave sin .4 0 0 .5
		alphaGen vertex							// added
		tcmod scale .7 .7		// paused
		// tcmod scroll .03 .02	
		tcmod scroll 0 -.2		// paused
		depthWrite			// try to avoid the funny effect with smoke etc
	}	

	{ 
		map textures/wb_t/complex.jpg
		blendFunc GL_src_alpha GL_ONE // gl_zero_minus_src_alpha invalid
		alphagen const .25		
		tcmod scale .2 .2
		// tcmod scroll -.03 -.02	
		tcmod scroll 0 .01
	}

	{ 
		map $lightmap
		blendfunc filter
		// blendfunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		// alphaGen vertex
	}
}

textures/wb_t/waterfoam
{
	qer_editorimage textures/wb_t/waterfoam.tga
	q3map_nonplanar
	qer_trans 0.7

	q3map_globaltexture //new
	q3map_tcMod scale 0.5 0.5

	surfaceparm water
	surfaceparm trans // added...
	surfaceparm nomarks

	cull disable // front
	deformVertexes wave 160 sin 0 10 0 .3	// the chop, removed for causing split with slope water
	// implicitMap textures/wb_t/wb_water_02_d03.tga

	{ 
		map textures/wb_t/complex.jpg
		// blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA		// added
		rgbgen wave sin .4 0 0 .5
		// alphaGen vertex							// no in this shader
		// alphagen const 1			// to  fake the 100 alpha values
		tcmod scale .7 .7		// paused
		// tcmod scroll .03 .02	
		tcmod scroll 0 -.2		// paused
		depthWrite			// try to avoid the funny effect with smoke etc
	}	

	{ 
		map textures/wb_t/complex.jpg
		blendFunc GL_src_alpha GL_ONE // gl_zero_minus_src_alpha invalid
		alphagen const .25		
		tcmod scale .2 .2
		// tcmod scroll -.03 -.02	
		tcmod scroll 0 .01
	}

	{
		map textures/wb_t/waterfoam.tga	// the foam image
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA		// transparency for alpha brushes
		alphaGen vertex		// generate alpha values from alpha brushes
		tcmod scroll 0 -.55
		alphaFunc GE128
	}

	{ 
		map $lightmap
		blendfunc filter
		// blendfunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		// alphaGen vertex
	}
}

textures/wb_t/wba_grasspave // works fine
{
	qer_editorimage textures/wb_ei/ei_wba_grasspavement.jpg

	q3map_forceMeta 	
	q3map_nonplanar
	q3map_shadeangle 80
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	        
	{
		map textures/wb_z/ground_c06.jpg
		tcgen vector ( 0.00390625 0 0 ) ( 0 0.00390625 0 )  // 256x256 size
		// Primary
		rgbGen identity
	}
	{
		map textures/temperate_sd/grass_dense1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/wb_t/wba_grassroad // works fine
{
	qer_editorimage textures/wb_ei/ei_wba_grassroad.jpg

	q3map_forceMeta 	
	q3map_nonplanar
	q3map_shadeangle 80
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	surfaceparm landmine
	surfaceparm gravelsteps
	        
	{
		map textures/wb_t/wb_road.jpg
		// tcgen vector ( 0.00390625 0 0 ) ( 0 0.00390625 0 )  // 256x256 size
		// Primary
		rgbGen identity
	}
	{
		map textures/temperate_sd/grass_dense1.tga
		// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/wb_t/wba_rivershore // works fine
{
	qer_editorimage textures/wb_ei/ei_wba_grassriverbed.jpg

	q3map_forceMeta 	
	q3map_nonplanar
	q3map_shadeangle 160
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 ) // ( 256 0 0 ) ( 0 0 256 )
	surfaceparm gravelsteps
	surfaceparm landmine
	        
	{
		map textures/stone/mxrock3_a.jpg
		// Primary
		rgbGen identity
	}
	{
		map textures/temperate_sd/grass_dense1.tga
		// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/wb_t/wba_rivershoreYZ // works fine
{
	qer_editorimage textures/wb_ei/ei_wba_grassriverbed.jpg

	q3map_forceMeta 	
	q3map_nonplanar
	q3map_shadeangle 160
	q3map_tcGen ivector ( 0 512 0 ) ( 0 0 512 ) // ( 256 0 0 ) ( 0 0 256 )
	surfaceparm gravelsteps
	surfaceparm landmine
	        
	{
		map textures/stone/mxrock3_a.jpg
		// Primary
		rgbGen identity
	}
	{
		map textures/temperate_sd/grass_dense1.tga
		// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/wb_t/wba_cliffbottom // works fine
{
	qer_editorimage textures/wb_ei/ei_wba_grasscliffbottom.jpg

	q3map_forceMeta 	
	q3map_nonplanar
	q3map_shadeangle 160
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 ) // ( 256 0 0 ) ( 0 0 256 )
	surfaceparm gravelsteps
	surfaceparm landmine
	        
	{
		map textures/stone/mxrock1aa.jpg
		// Primary
		rgbGen identity
	}
	{
		map textures/temperate_sd/grass_dense1.tga
		// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/wb_t/wba_grassclifftop_xy
{
	qer_editorimage textures/wb_ei/ei_wba_grassclifftopXY.jpg

	q3map_forceMeta 	
	q3map_nonplanar
	q3map_shadeangle 80
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 ) // ( 256 0 0 ) ( 0 0 256 )
	        
	{
		map textures/wb_t/wb_rock01.jpg
		// Primary
		rgbGen identity
	}
	{
		map textures/temperate_sd/grass_dense1.tga  //wb_t/grass_dense1_b.tga
		// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/wb_t/wba_grassclifftop_XZ
{
	qer_editorimage textures/wb_ei/ei_wba_grassclifftopXZ.jpg

	q3map_forceMeta 	
	q3map_nonplanar
	q3map_shadeangle 80
	q3map_tcGen ivector ( 512 0 0 ) ( 0 0 512 ) // ( 256 0 0 ) ( 0 0 256 )
	        
	{
		map textures/wb_t/wb_rock01.jpg
		// Primary
		rgbGen identity
	}
	{
		map textures/temperate_sd/grass_dense1.tga  //wb_t/grass_dense1_b.tga
		// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/wb_t/wba_grassgravel // works fine
{
	qer_editorimage textures/wb_ei/ei_wba_grassroad.jpg

	q3map_forceMeta 	
	q3map_nonplanar
	q3map_shadeangle 80
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	surfaceparm landmine
	surfaceparm gravelsteps
	        
	{
		map textures/temperate_sd/dirt3.tga
		// tcgen vector ( 0.00390625 0 0 ) ( 0 0.00390625 0 )  // 256x256 size
		// Primary
		rgbGen identity
	}
	{
		map textures/temperate_sd/grass_dense1.tga
		// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/wb_t/wba_rockrock2_XZ
{
	qer_editorimage textures/stone/mxrock3_a.jpg 

	q3map_forceMeta 	
	q3map_nonplanar
	q3map_shadeangle 80
	q3map_tcGen ivector ( 512 0 0 ) ( 0 0 512 ) // ( 256 0 0 ) ( 0 0 256 )
	        
	{
		map textures/wb_t/wb_rock01.jpg
		// Primary
		rgbGen identity
	}
	{
		map textures/stone/mxrock3_a.jpg //models/mapobjects/rocks_sd/rock_temperate2_big.jpg
		// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/wb_t/wba_rockrock2_YZ
{
	qer_editorimage textures/stone/mxrock3_a.jpg 

	q3map_forceMeta 	
	q3map_nonplanar
	q3map_shadeangle 80
	q3map_tcGen ivector ( 0 512 0 ) ( 0 0 512 ) // ( 256 0 0 ) ( 0 0 256 )
	        
	{
		map textures/wb_t/wb_rock01.jpg
		// Primary
		rgbGen identity
	}
	{
		map textures/stone/mxrock3_a.jpg //models/mapobjects/rocks_sd/rock_temperate2_big.jpg
		// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/wb_t/wb_pavement
{
	qer_editorimage textures/wb_z/ground_c06.jpg
	q3map_tcMod scale 1 -1
	implicitMap textures/wb_z/ground_c06.jpg
}

textures/wb_t/wb_riverbed1
{
	qer_editorimage textures/stone/mxrock3_a.jpg
	q3map_tcMod scale 0.5 -0.5
	q3map_nonplanar
	q3map_shadeangle 180
	surfaceparm gravelsteps
	implicitMap textures/stone/mxrock3_a.jpg
}

textures/wb_t/wb_gravel
{
	qer_editorimage textures/temperate_sd/dirt3.tga  //sand_patchnoise.tga
	q3map_tcMod scale 0.5 -0.5
	q3map_nonplanar
	q3map_shadeangle 180
	surfaceparm gravelsteps
	surfaceparm landmine
	implicitMap textures/temperate_sd/dirt3.tga //sand_patchnoise.tga
}

textures/wb_t/wb_road
{
	qer_editorimage textures/wb_t/wb_road.jpg
	q3map_tcMod scale 0.5 -0.5
	q3map_nonplanar
	q3map_shadeangle 100
	surfaceparm gravelsteps
	surfaceparm landmine
	implicitMap textures/wb_t/wb_road.jpg
}

textures/wb_t/wb_sfxblack01 // black "room" for falling player
{
	qer_editorimage textures/wb_sfx/color_black.tga
	qer_trans 0.5
	surfaceparm nomarks
	surfaceparm nonsolid
	//surfaceparm nolightmap
        cull none
	implicitmap textures/wb_sfx/color_black.tga
}

textures/wb_t/wedge
{
	qer_editorimage textures/wb_t/complex.jpg	//wedge.jpg
	q3map_nonplanar
	qer_trans 0.7

	q3map_globaltexture //new
	q3map_tcMod scale 0.5 0.5

	surfaceparm water
	surfaceparm trans // added...
	surfaceparm nomarks

	cull disable // "back" is no good idea
	deformVertexes wave 160 sin 0 10 0 .3	// the chop, removed for causing split with slope water
	// implicitMap textures/wb_t/wb_water_02_d03.tga

	{ 
		map textures/wb_t/complex.jpg
		// blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA		// added
		rgbgen wave sin .4 0 0 .5
		// alphaGen vertex							// no in this shader
		// alphagen const 1			// to  fake the 100 alpha values
		tcmod scale .7 .7		// paused
		// tcmod scroll .03 .02	
		tcmod scroll 0 -.2		// paused
		depthWrite			// try to avoid the funny effect with smoke etc
	}	

	{ 
		map textures/wb_t/complex.jpg
		blendFunc GL_src_alpha GL_ONE // gl_zero_minus_src_alpha invalid
		alphagen const .25		
		tcmod scale .2 .2
		// tcmod scroll -.03 -.02	
		tcmod scroll 0 .01
	}

	{ 
		map $lightmap
		blendfunc filter
		// blendfunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		// alphaGen vertex
	}
}

textures/wb_alphamod/alpha_000
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
}

textures/wb_alphamod/alpha_050
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
}

textures/wb_alphamod/alpha_065
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.65
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
}

textures/wb_alphamod/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
}

textures/wb_alphamod/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
}

textures/terrain_example/alpha_100
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
}